import 'package:senior_platform_authentication/senior_platform_authentication.dart';

import '../../data/repositories/secure_storage_repository.dart';

class ClearStoredDataUsecase implements BaseUsecase<void, NoParams> {
  late final SecureStorageRepository _secureStorageRepository;

  ClearStoredDataUsecase({
    SecureStorageRepository? secureStorageRepository,
  }) {
    _secureStorageRepository =
        secureStorageRepository ?? SecureStorageRepositoryImpl();
  }

  @override
  Future<void> call(NoParams params) async {
    await _secureStorageRepository.deleteUser();
    await _secureStorageRepository.deleteToken();
    await _secureStorageRepository.deleteTokenExpirationDate();
  }
}
