part of 'authentication_bloc.dart';

abstract class AuthenticationEvent extends Equatable {
  const AuthenticationEvent();

  @override
  List<Object?> get props => [];
}

class AuthenticationStatusChanged extends AuthenticationEvent {
  final AuthenticationStatus status;
  final AuthenticationResponse? authenticationResponse;

  const AuthenticationStatusChanged(this.status, {this.authenticationResponse});

  @override
  List<Object?> get props => [
        status,
        authenticationResponse,
      ];
}

class LogoutRequested extends AuthenticationEvent {}

class CheckAuthenticationRequested extends AuthenticationEvent {}
